using System;
using System.Collections.Generic;
using System.Text;

namespace IRaCIS.Core.Application.Contracts
{
    public interface IReportService
    {
        //bool SaveReport(ReportCommand reportCommand);

        /// <summary> 添加基线期病灶标识及测量信息 </summary>
        bool AddLesion(List<LesionInformation> lesionInformation, ReportDTO report);
        ///// <summary> 获取基线期信息 <summary>
        //IList<LesionInformation> GetBLLesion(string trialCode, string subjectCode);

        /// <summary>
        /// 获取检查批次病灶信息
        /// </summary>
        VisitLesionInfo GetVisitLineLesion(string trialCode, string subjectCode, decimal visitNum,string tpCode);

        bool SaveVisitReport(VisitReportCommand visitReportCommand);
        bool AddBaseLineLesion(BaseLineReportCommand baseLineReportCommand);
        BaseLineReportDTO getBLLineLesion(string trialCode, string subjectCode, string tpCode);

        bool SubmiteReport(Guid tpId);
    }
}
